{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\ndeclare subroutine end_dialog\r\n$insert logical\r\n$insert msg_equates\r\n\r\nControls = get_property( @window, '@Controls' )\r\nType = get_property( @window, '@Type' )\r\nContinue = true$\r\n\r\nif Type = 'NEW' then\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'Are you sure that you want to put this lot on Hold???'\r\n   MsgInfo<mtype$> = 'BNYC'\r\n   MsgInfo<micon$> = '?'\r\n   Resp = msg( '', MsgInfo )\r\n   if Resp = 1 then\r\n\t  Data = get_property( Controls, 'TEXT')\r\n   end else\r\n      if Resp = 0 then\r\n         end_dialog( '', 'CANCEL' )\r\n      end else\r\n         return 0\r\n         * USER CANCELLED\r\n      end\r\n   end\r\nend else\r\n\tData = get_property( Controls, 'TEXT')\r\nend\r\nStatus = .hold_status->value\r\nconvert @rm to @fm in Data\r\nData = Data:char(245):Status\r\nend_dialog( @window, Data )\r\nRETURN 0"
        }
    }
}